Masumi Logo

/inbox-agents

Gets the inbox agent metadata.

GET
/inbox-agents
token<token>

API key authentication via header (token)

In: header

Query Parameters

limit?number

The number of inbox registry entries to return

Default10
Range1 <= value <= 100
cursorId?string

The cursor id to paginate through the results

network*string

The Cardano network used to register the inbox agent on

Value in"Preprod" | "Mainnet"
filterSmartContractAddress?|

The smart contract address of the payment source

filterStatus?string

Filter by inbox registration status category

Value in"Registered" | "Deregistered" | "Pending" | "Failed"
searchQuery?string

Search query to filter by name, description, agent slug, minting or recipient wallet address, or state

Response Body

application/json

curl -X GET "https://loading/./../api/v1/inbox-agents?network=Preprod"
{
  "status": "success",
  "data": {
    "Assets": [
      {
        "error": null,
        "id": "inbox_registry_id",
        "name": "Inbox Agent",
        "description": "Masumi inbox identity registration",
        "agentSlug": "inbox-agent",
        "state": "RegistrationRequested",
        "createdAt": "1970-01-20T20:00:36.260Z",
        "updatedAt": "1970-01-20T20:00:36.260Z",
        "lastCheckedAt": null,
        "agentIdentifier": "policy_id_asset_name_policy_id_asset_name_policy_id_asset_name",
        "metadataVersion": 1,
        "sendFundingLovelace": null,
        "SmartContractWallet": {
          "walletVkey": "wallet_vkey",
          "walletAddress": "wallet_address"
        },
        "RecipientWallet": null,
        "CurrentTransaction": null
      }
    ]
  }
}
Masumi Kanji